package com.hxhq.business.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableName;
import com.hxhq.common.core.annotation.Compare;
import com.hxhq.common.core.domain.MpBaseEntity;


/**
 * 供试品入库记录对象 t_gsp_rkjl
 *
 * @author hxhq
 * @date 2025-12-30
 */
@TableName("t_gsp_rkjl")
public class GspRkjl extends MpBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 记录状态 1:未锁定 3:已锁定 5:待归档 7:归档 9:待解档 */
    private Integer jlzt;

    /** 借阅状态 1:未借阅 3:待借阅 5:借阅中 */
    private Integer jyzt;

    /** 名称 */
    @Compare(name = "名称", nameEn = "Name")
    private String mc;

    /** 批号 */
    @Compare(name = "批号", nameEn = "Batch Number")
    private String ph;

    /** 规格 */
    @Compare(name = "规格", nameEn = "Specification")
    private String gg;

    /** 规格 */
    @Compare(name = "规格单位", nameEn = "Specification Unit")
    private String ggdw;

    /** 入库数量 */
    @Compare(name = "入库量", nameEn = "Amount In")
    private String rkl;

    /** 入库单位 */
    @Compare(name = "入库量单位", nameEn = "Amount In Unit")
    private String rkdw;

    /** 入库时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Compare(name = "入库时间", nameEn = "Into Storage Date")
    private Date rksj;

    /** 存储条件 */
    @Compare(name = "存储条件", nameEn = "Storage Condition")
    private String cctj;

    /** 注意事项 */
    @Compare(name = "注意事项", nameEn = "Notification")
    private String zysx;

    /** 归档申请人id */
    private Long gdsqrId;

    /** 归档申请人名称 */
    private String gdsqrMc;

    /** 借阅开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date jyksrq;

    /** 借阅结束日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date jyjsrq;

    /** 归档申请时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gdsqsj;

    /** 档案申请人名称 */
    private String dasqrMc;

    /** 档案申请人ID*/
    private Long dasqrId;

    /** 档案申请人名称 */
    private String dasqrMcOld;

    /** 档案申请人ID*/
    private Long dasqrIdOld;

    public Date getGdsqsj() {
        return gdsqsj;
    }

    public void setGdsqsj(Date gdsqsj) {
        this.gdsqsj = gdsqsj;
    }

    public String getDasqrMc() {
        return dasqrMc;
    }

    public void setDasqrMc(String dasqrMc) {
        this.dasqrMc = dasqrMc;
    }

    public Long getDasqrId() {
        return dasqrId;
    }

    public void setDasqrId(Long dasqrId) {
        this.dasqrId = dasqrId;
    }

    public String getDasqrMcOld() {
        return dasqrMcOld;
    }

    public void setDasqrMcOld(String dasqrMcOld) {
        this.dasqrMcOld = dasqrMcOld;
    }

    public Long getDasqrIdOld() {
        return dasqrIdOld;
    }

    public void setDasqrIdOld(Long dasqrIdOld) {
        this.dasqrIdOld = dasqrIdOld;
    }

    public Date getJyksrq() {
        return jyksrq;
    }

    public void setJyksrq(Date jyksrq) {
        this.jyksrq = jyksrq;
    }

    public Date getJyjsrq() {
        return jyjsrq;
    }

    public void setJyjsrq(Date jyjsrq) {
        this.jyjsrq = jyjsrq;
    }

    public void setJlzt(Integer jlzt)
    {
        this.jlzt = jlzt;
    }

    public Integer getJlzt()
    {
        return jlzt;
    }

    public void setJyzt(Integer jyzt)
    {
        this.jyzt = jyzt;
    }

    public Integer getJyzt()
    {
        return jyzt;
    }

    public void setMc(String mc)
    {
        this.mc = mc;
    }

    public String getMc()
    {
        return mc;
    }

    public void setPh(String ph)
    {
        this.ph = ph;
    }

    public String getPh()
    {
        return ph;
    }

    public void setGg(String gg)
    {
        this.gg = gg;
    }

    public String getGg()
    {
        return gg;
    }

    public void setGgdw(String ggdw)
    {
        this.ggdw = ggdw;
    }

    public String getGgdw()
    {
        return ggdw;
    }

    public void setRkl(String rkl)
    {
        this.rkl = rkl;
    }

    public String getRkl()
    {
        return rkl;
    }

    public void setRkdw(String rkdw)
    {
        this.rkdw = rkdw;
    }

    public String getRkdw()
    {
        return rkdw;
    }

    public void setRksj(Date rksj)
    {
        this.rksj = rksj;
    }

    public Date getRksj()
    {
        return rksj;
    }

    public void setCctj(String cctj)
    {
        this.cctj = cctj;
    }

    public String getCctj()
    {
        return cctj;
    }

    public void setZysx(String zysx)
    {
        this.zysx = zysx;
    }

    public String getZysx()
    {
        return zysx;
    }

    public void setGdsqrId(Long gdsqrId)
    {
        this.gdsqrId = gdsqrId;
    }

    public Long getGdsqrId()
    {
        return gdsqrId;
    }

    public String getGdsqrMc() {
        return gdsqrMc;
    }

    public void setGdsqrMc(String gdsqrMc) {
        this.gdsqrMc = gdsqrMc;
    }
}
